This operation is retained because its version-labelled public specification differs structurally from another generation. It is comparison evidence, not a promise of current support, compatibility, entitlement, or availability.
Call the operation
https://mgis-api.mappls.com/saveDataset/objecthttps://mgis-api.mappls.com/Parameters
Body schema
datasetNmerequiredName of the dataset that will be used while saving/appending/truncating
testgeoJSONrequiredString representation of GEOJSON object that you want to save as a dataset
{ "type": "FeatureCollection", "features": [ { "type": "Feature", "properties": {}, "geometry": { "type": "Point", "coordinates": [ 80.1727294921875, 27.581329075043357 ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "Point", "coordinates": [ 78.848876953125, 26.711266913515747 ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "Point", "coordinates": [ 81.309814453125, 26.23430203240673 ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "Point", "coordinates": [ 79.1015625, 25.596948323286135 ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "Polygon", "coordinates": [ [ [ 80.4473876953125, 27.332735136859146 ], [ 79.881591796875, 27.176469131898898 ], [ 79.73876953125, 27.029770731463536 ], [ 79.85412597656249, 26.544308558627424 ], [ 80.1727294921875, 26.249083096330665 ], [ 80.8154296875, 26.80446076654616 ], [ 80.4473876953125, 27.332735136859146 ] ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 76.66259765625, 26.31311263768267 ], [ 77.71728515624999, 25.16517336866393 ], [ 79.1455078125, 24.647017162630366 ], [ 80.771484375, 25.005972656239187 ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 77.7392578125, 27.410785702577023 ], [ 79.43115234375, 29.05616970274342 ], [ 82.24365234375, 29.094577077511826 ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 74.77294921875, 21.453068633086783 ], [ 74.72900390625, 22.59372606392931 ], [ 75.1904296875, 22.207749178410847 ], [ 75.849609375, 22.63429269379353 ], [ 75.89355468749999, 21.57571893245848 ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 77.2119140625, 22.79643932091949 ], [ 76.552734375, 22.63429269379353 ], [ 76.31103515625, 22.14670778001263 ], [ 76.37695312499999, 21.57571893245848 ], [ 76.88232421875, 21.43261686447735 ], [ 77.431640625, 21.3303150734318 ], [ 77.431640625, 22.004174972902003 ], [ 76.9482421875, 22.004174972902003 ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 77.80517578125, 22.79643932091949 ], [ 78.92578124999999, 22.87744046489713 ], [ 78.28857421875, 22.79643932091949 ], [ 78.33251953125, 21.759499730719817 ], [ 77.82714843749999, 21.69826549685252 ], [ 78.99169921875, 21.759499730719817 ] ] } }, { "type": "Feature", "properties": {}, "geometry": { "type": "LineString", "coordinates": [ [ 80.22216796875, 22.695120184965695 ], [ 79.7607421875, 22.998851594142913 ], [ 79.40917968749999, 22.553147478403194 ], [ 80.0244140625, 22.105998799750566 ], [ 80.15625, 21.657428197370653 ], [ 79.6728515625, 21.4121622297254 ], [ 79.365234375, 21.820707853875017 ] ] } } ] }appendStatusIf set to true, the geoJSON provided will be appended to pre-existing data within the dataset of name provided in datasetNme param [condition is that the data should exist / no need to set it to false in case of non-appending]
exampletruncateStatusIf set to true, the geoJSON provided will be appended and pre-existing data within the dataset of name provided in datasetNme param will be truncated/deleted [condition is that the data provided should be of same structure OR should contain previous structure else there can be loss of information / no need to set it to false]
examplepolygonfillcolorhex color without '#' of the polygon/s
f2e824polygonfillopacityopacity of polygon/s ranging from 0-1
0.7linestrokecolorhex color without '#' of the line/s
2ce622linestrokewidthwidth of the line/s in pixels
2linestrokeopacityopacity of line/s ranging from 0-1
0.5pointfillcolorhex color without '#' of the point/s
2266e3pointfillopacityopacity of point/s ranging from 0-1
0.8pointsizesize of point/s in pixels
10{
"datasetNme": "test",
"geoJSON": "{ \"type\": \"FeatureCollection\", \"features\": [ { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 80.1727294921875, 27.581329075043357 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 78.848876953125, 26.711266913515747 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 81.309814453125, 26.23430203240673 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 79.1015625, 25.596948323286135 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Polygon\", \"coordinates\": [ [ [ 80.4473876953125, 27.332735136859146 ], [ 79.881591796875, 27.176469131898898 ], [ 79.73876953125, 27.029770731463536 ], [ 79.85412597656249, 26.544308558627424 ], [ 80.1727294921875, 26.249083096330665 ], [ 80.8154296875, 26.80446076654616 ], [ 80.4473876953125, 27.332735136859146 ] ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 76.66259765625, 26.31311263768267 ], [ 77.71728515624999, 25.16517336866393 ], [ 79.1455078125, 24.647017162630366 ], [ 80.771484375, 25.005972656239187 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.7392578125, 27.410785702577023 ], [ 79.43115234375, 29.05616970274342 ], [ 82.24365234375, 29.094577077511826 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 74.77294921875, 21.453068633086783 ], [ 74.72900390625, 22.59372606392931 ], [ 75.1904296875, 22.207749178410847 ], [ 75.849609375, 22.63429269379353 ], [ 75.89355468749999, 21.57571893245848 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.2119140625, 22.79643932091949 ], [ 76.552734375, 22.63429269379353 ], [ 76.31103515625, 22.14670778001263 ], [ 76.37695312499999, 21.57571893245848 ], [ 76.88232421875, 21.43261686447735 ], [ 77.431640625, 21.3303150734318 ], [ 77.431640625, 22.004174972902003 ], [ 76.9482421875, 22.004174972902003 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.80517578125, 22.79643932091949 ], [ 78.92578124999999, 22.87744046489713 ], [ 78.28857421875, 22.79643932091949 ], [ 78.33251953125, 21.759499730719817 ], [ 77.82714843749999, 21.69826549685252 ], [ 78.99169921875, 21.759499730719817 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 80.22216796875, 22.695120184965695 ], [ 79.7607421875, 22.998851594142913 ], [ 79.40917968749999, 22.553147478403194 ], [ 80.0244140625, 22.105998799750566 ], [ 80.15625, 21.657428197370653 ], [ 79.6728515625, 21.4121622297254 ], [ 79.365234375, 21.820707853875017 ] ] } } ] }"
}Build your request in eight languages
Change source-backed examples once, validate required inputs, and copy the synchronized cURL, JavaScript, Python, Java, C#, Go, PHP, or Ruby request. Credentials remain environment references, and this page never sends a provider request.
https://mgis-api.mappls.com/saveDataset/objectcurl --request POST \
--url 'https://mgis-api.mappls.com/saveDataset/object' \
--header "Accept: application/json" \
--header "Authorization: Bearer ${MAPPLS_ACCESS_TOKEN}" \
--header "Content-Type: multipart/form-data" \
--data-raw '{"datasetNme":"test","geoJSON":"{ \"type\": \"FeatureCollection\", \"features\": [ { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 80.1727294921875, 27.581329075043357 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 78.848876953125, 26.711266913515747 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 81.309814453125, 26.23430203240673 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 79.1015625, 25.596948323286135 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Polygon\", \"coordinates\": [ [ [ 80.4473876953125, 27.332735136859146 ], [ 79.881591796875, 27.176469131898898 ], [ 79.73876953125, 27.029770731463536 ], [ 79.85412597656249, 26.544308558627424 ], [ 80.1727294921875, 26.249083096330665 ], [ 80.8154296875, 26.80446076654616 ], [ 80.4473876953125, 27.332735136859146 ] ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 76.66259765625, 26.31311263768267 ], [ 77.71728515624999, 25.16517336866393 ], [ 79.1455078125, 24.647017162630366 ], [ 80.771484375, 25.005972656239187 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.7392578125, 27.410785702577023 ], [ 79.43115234375, 29.05616970274342 ], [ 82.24365234375, 29.094577077511826 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 74.77294921875, 21.453068633086783 ], [ 74.72900390625, 22.59372606392931 ], [ 75.1904296875, 22.207749178410847 ], [ 75.849609375, 22.63429269379353 ], [ 75.89355468749999, 21.57571893245848 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.2119140625, 22.79643932091949 ], [ 76.552734375, 22.63429269379353 ], [ 76.31103515625, 22.14670778001263 ], [ 76.37695312499999, 21.57571893245848 ], [ 76.88232421875, 21.43261686447735 ], [ 77.431640625, 21.3303150734318 ], [ 77.431640625, 22.004174972902003 ], [ 76.9482421875, 22.004174972902003 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.80517578125, 22.79643932091949 ], [ 78.92578124999999, 22.87744046489713 ], [ 78.28857421875, 22.79643932091949 ], [ 78.33251953125, 21.759499730719817 ], [ 77.82714843749999, 21.69826549685252 ], [ 78.99169921875, 21.759499730719817 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 80.22216796875, 22.695120184965695 ], [ 79.7607421875, 22.998851594142913 ], [ 79.40917968749999, 22.553147478403194 ], [ 80.0244140625, 22.105998799750566 ], [ 80.15625, 21.657428197370653 ], [ 79.6728515625, 21.4121622297254 ], [ 79.365234375, 21.820707853875017 ] ] } } ] }"}'Credential-safe by constructionSet MAPPLS_ACCESS_TOKEN only in your trusted runtime. Code generation stays local. Sandbox execution sends only bounded fixture inputs to this developer platform and never reads a credential or calls Mappls.
Send a production-shaped request
Examples use environment-backed access tokens, explicit timeouts where supported, status checks, and JSON bodies derived from the source schema. Replace sample identifiers and coordinates with values from your application.
curl --request POST \
--url 'https://mgis-api.mappls.com/saveDataset/object' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"datasetNme": "test",
"geoJSON": "{ \"type\": \"FeatureCollection\", \"features\": [ { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 80.1727294921875, 27.581329075043357 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 78.848876953125, 26.711266913515747 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 81.309814453125, 26.23430203240673 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Point\", \"coordinates\": [ 79.1015625, 25.596948323286135 ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"Polygon\", \"coordinates\": [ [ [ 80.4473876953125, 27.332735136859146 ], [ 79.881591796875, 27.176469131898898 ], [ 79.73876953125, 27.029770731463536 ], [ 79.85412597656249, 26.544308558627424 ], [ 80.1727294921875, 26.249083096330665 ], [ 80.8154296875, 26.80446076654616 ], [ 80.4473876953125, 27.332735136859146 ] ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 76.66259765625, 26.31311263768267 ], [ 77.71728515624999, 25.16517336866393 ], [ 79.1455078125, 24.647017162630366 ], [ 80.771484375, 25.005972656239187 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.7392578125, 27.410785702577023 ], [ 79.43115234375, 29.05616970274342 ], [ 82.24365234375, 29.094577077511826 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 74.77294921875, 21.453068633086783 ], [ 74.72900390625, 22.59372606392931 ], [ 75.1904296875, 22.207749178410847 ], [ 75.849609375, 22.63429269379353 ], [ 75.89355468749999, 21.57571893245848 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.2119140625, 22.79643932091949 ], [ 76.552734375, 22.63429269379353 ], [ 76.31103515625, 22.14670778001263 ], [ 76.37695312499999, 21.57571893245848 ], [ 76.88232421875, 21.43261686447735 ], [ 77.431640625, 21.3303150734318 ], [ 77.431640625, 22.004174972902003 ], [ 76.9482421875, 22.004174972902003 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 77.80517578125, 22.79643932091949 ], [ 78.92578124999999, 22.87744046489713 ], [ 78.28857421875, 22.79643932091949 ], [ 78.33251953125, 21.759499730719817 ], [ 77.82714843749999, 21.69826549685252 ], [ 78.99169921875, 21.759499730719817 ] ] } }, { \"type\": \"Feature\", \"properties\": {}, \"geometry\": { \"type\": \"LineString\", \"coordinates\": [ [ 80.22216796875, 22.695120184965695 ], [ 79.7607421875, 22.998851594142913 ], [ 79.40917968749999, 22.553147478403194 ], [ 80.0244140625, 22.105998799750566 ], [ 80.15625, 21.657428197370653 ], [ 79.6728515625, 21.4121622297254 ], [ 79.365234375, 21.820707853875017 ] ] } } ] }"
}'Responses
OK
Bad Request, User made an error while creating a valid request.
Internal Server Error, the request caused an error in our systems.
200 response fields
messageIf everything goes ok then user receives a message indicating that the layer has been published/modified on mGIS platform
Layer 'LAYER_NAME' has been published/modified in workspace 'WORKSPACE_NAME'{
"message": "Layer 'LAYER_NAME' has been published/modified in workspace 'WORKSPACE_NAME'"
}Operate it safely
This operation creates or triggers durable state. Supply an idempotency strategy and persist the returned identifier before continuing.
Contract provenance
- Source file
mappls-developer-platform/data/corpus/public-api-contracts/mapmyindia-mgis-apis/docs/v1/custom/sat-apis.yml- SHA-256
15348c512128c6a43cfaf8fb29f24a78551008d1ee356cb76baa85a2724a65a8- Normalization
- Fields are parsed from OpenAPI. Operational guidance and language samples are generated and labeled separately.
- Source record
- Open repository audit